"use strict";
var casper = require('casper').create();
var server = require('webserver').create();
var port;

port = 9997;

function evaluate(code, done) {
  try {
    eval(code)
  }
  catch (err) {
    done(err);
  }
}

var listening = server.listen(port, function (req, res) {
  console.log("Got Http Request from Index Handler", JSON.stringify(req, null, 4));

  res.headers = {"Cache": "no-cache", "Content-Type": "text/html"};

  if (req.method === 'POST') {
    if (req.post && req.post['eval']) {
      evaluate(req.post['eval'], function (err, result) {
        if (err) {
          res.statusCode = 400;
          res.write('400 Bad Request.');
          return res.close();
        }
        res.statusCode = 200;
        res.write(result);
        res.close();
      })
    }
    else {
      res.statusCode = 400;
      res.write('400 Bad Request.');
      res.close();
    }
  } else {
    res.statusCode = 200;
    res.write('200 OK.');
    res.close();
  }
});
if (!listening) {
  console.log("Could not create web server listening on port " + port, 'instance might be already running.');
  server.close();
  process.exit(1);
}
else {
  console.log("Casperjs server started, listening to port", port);
}